jQuery(document).ready(function() {

    jQuery(document).on('click','.setWeek',function(){
        jQuery(this).find('.dashicons').removeClass('dashicons-arrow-left-alt2 dashicons-arrow-right-alt2');
        jQuery(this).find('.dashicons').addClass('dashicons-update');
        jQuery(this).find('.dashicons').addClass('spin');
        
        jQuery('#browse_books_date').val( jQuery(this).attr('data-value') );
        jQuery(this).closest('form').submit();
    });

});    

function book_an_appointment_961_update_display() {
    jQuery('.spin').each(function(){
        var action = jQuery(this).attr('data-action');
        switch (action){ 
        	case 'accept':
                jQuery(this).closest('.books-item')
                    .removeClass('booking-confirmed')
                    .addClass('booking-accepted');
                jQuery(this).fadeOut();
                break;
        
        	case 'cancel':
                jQuery(this).removeClass('dashicons-update-alt');
                jQuery(this).removeClass('spin');
                jQuery(this).addClass('dashicons-trash');
                break;

        	case 'delete':
                jQuery(this).closest('.booking-content').remove();
        	    break;
        
        	default :
                jQuery(this).removeClass('spin');
                jQuery(this).removeClass('dashicons-update-alt');
                jQuery(this).addClass( jQuery(this).attr('data-icon') );
                jQuery(this).removeAttr('data-icon');
        }
    });
}

function book_an_appointment_961_action_accept(item, token) {
    item.removeClass('dashicons-saved');
    item.attr('data-action', 'accept');
    item.addClass('dashicons-update-alt');
    item.addClass('spin');
    
    var tokens = [];
    tokens.push(token);
    
    var data = {
            action : 'book_an_appointment_961_accept_books',
            tokens : tokens
        };

    jQuery.ajax({
        url      : book_an_appointment_961_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){

            if (data.status == 1) {
                book_an_appointment_961_update_display();
            } else {
                console.log(data);
            }
        } 
    });
}

function book_an_appointment_961_action_cancel() {
    jQuery('#books_messageBox').hide();
    jQuery('#book_resignation_token').val('');
    book_an_appointment_961_update_display();
    book_an_appointment_961_hideOverlay();
}

function book_an_appointment_961_action_show_delete_box(item, token) {

    item.removeClass('dashicons-trash');
    item.attr('data-action', 'cancel');
    item.addClass('dashicons-update-alt');
    item.addClass('spin');

    book_an_appointment_961_showOverlay();
    
    jQuery('#book_resignation_token').val(token);
    var t = Math.floor((jQuery(window).height() - jQuery('#books_messageBox').height()) / 2);
    var l = Math.floor((jQuery(window).width() - jQuery('#books_messageBox').width()) / 2);
    jQuery('#books_messageBox').css('top', t + 'px');
    jQuery('#books_messageBox').css('left', l + 'px');
    jQuery('#books_messageBox').fadeIn();
    jQuery('#book_resignation_description').focus();
}

function book_an_appointment_961_action_delete() {
    var tokens = [];
    tokens.push(jQuery('#book_resignation_token').val());
    var message = jQuery('#book_resignation_description').val();
    
    jQuery('#books_messageBox').hide();
    jQuery('#book_resignation_token').val('');
    book_an_appointment_961_hideOverlay();

    var data = {
            action  : 'book_an_appointment_961_delete_books',
            tokens  : tokens,
            message : message
        };

    jQuery.ajax({
        url      : book_an_appointment_961_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){

            if (data.tokens != null) {
                data.tokens.forEach(function(token) {
                    jQuery('.booking-table').find('[data-token="'+token+'"]').remove();
                });     
            } else {
                book_an_appointment_961_update_display();
            }
        } 
    });


}

function book_an_appointment_961_showOverlay() {
    var over = '<div id="overlay" class="overlay"></div>';
    jQuery('body').prepend(over);
    jQuery('#overlay').width( jQuery(window).width() );
    jQuery('#overlay').height( jQuery(window).height() );
    jQuery('#overlay').fadeIn(200);
}

function book_an_appointment_961_hideOverlay() {
    jQuery('#overlay').fadeOut(200);
    setTimeout(function() {
        jQuery('#overlay').remove();
    }, 250);    
}


function book_an_appointment_961_accept_books(tokens) {

    var data = {
            action : 'book_an_appointment_961_accept_books',
            tokens : tokens
        };

    jQuery.ajax({
        url      : book_an_appointment_961_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){

            if (data.tokens != null) {
                data.tokens.forEach(function(token) {
                    jQuery('#unaccepted_bookings').find('[data-token="'+token+'"]').remove();
                });     
            }

            if (data.errors != null) {
                data.errors.forEach(function(error) {
                    console.log(error.token);
                    jQuery('#unaccepted_bookings')
                        .find('tr[data-token="'+error.token+'"]')
                        .find('.accept_function').html(error.message);                
                });     
            }

            if (data.status == 1) {

            } else {
                console.log(data);
            }
            jQuery('#unaccepted_bookings').find('.spin').remove();
        } 
    });
}
