Number.prototype.formatMoney = function(c, d, t){
var n = this, 
    c = isNaN(c = Math.abs(c)) ? 2 : c, 
    d = d == undefined ? "." : d, 
    t = t == undefined ? "," : t, 
    s = n < 0 ? "-" : "",
    i = String(parseInt(n = Math.abs(Number(n) || 0).toFixed(c))), 
    j = (j = i.length) > 3 ? j % 3 : 0;
   return s + (j ? i.substr(0, j) + t : "") + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + t) + (c ? d + Math.abs(n - i).toFixed(c).slice(2) : "");
 };

String.prototype.replaceAll = function(search, replacement) {
    var target = this;
    return target.split(search).join(replacement);
}; 

function strpos (haystack, needle, offset) {
  var i = (haystack + '')
    .indexOf(needle, (offset || 0));
  return i === -1 ? false : i
}


function dovi42_cmb_checkNumberFormat(item) {
    
    var value = item.val();
    
    var dec = item.attr('dec');
    if (typeof dec == 'undefined' || dec == null) {
        dec = '';
    }    
    var sep = item.attr('sep');
    if (typeof sep == 'undefined' || sep == null) {
        sep = '';
    }
    var rep = '[^0-9]';
    if (dec != '') {
        rep = '[^0-9'+dec+'-]';    
    }
    
    var regex = new RegExp(rep, "g");
    value = value.replace(regex, '');

    if (dec != '') {
        var tmp = value.split(dec);
    } else {
        var tmp = [value, ''];
    }
    if (value != '-') {
        tmp[0] = (Number(tmp[0])).formatMoney(0, '.', sep);
        //if (tmp[0] == '0'  ) { tmp[0] = ''; }
    
        if (strpos(value, dec)) {
            value = tmp[0] + dec + tmp[1];
        } else {
            value = tmp[0];
        }
    }
    item.val(value);
};
