<?php
if ( !defined( 'ABSPATH' ) ) exit;

    $lang = get_bloginfo('language');
    if ($lang != 'hu') { $lang = 'en'; }

    $url = str_replace(ABSPATH, '', BOOK_AN_APPOINTMENT_961_ROOT);
    $url = get_home_url('/') .DIRECTORY_SEPARATOR. $url .DIRECTORY_SEPARATOR. 'assets' .DIRECTORY_SEPARATOR. 'images' .DIRECTORY_SEPARATOR. $lang.'-slug.jpg';

    $args = array (
            'post_type'      => 'booking-place',
            'order'          => 'ASC',
            'orderby'        => 'name',
            'posts_per_page' => 100,
        );
    $posts = get_posts($args);

?>
<div>
    <?php if (!empty($posts)) : ?>
    <div>
        <?php echo __('Select place:', 'book-an-appointment');?>
        <select id="places-list" name="places-list" onchange="book_an_appointment_961_update_links();">
        <?php
            foreach ($posts as $post) {
                echo '<option value="'.$post->post_name.'">'.$post->post_title.'</option>';
            }
        ?>
        </select>
        <input type="hidden" id="home_link" value="<?php echo get_home_url('/');?>/booking-place/" />
    </div>
    <div>
        <?php echo __('Link to place:', 'book-an-appointment');?> <span id="place_link"></span>
    </div>
    <div>
        <?php echo __('Insert content from shortcode:', 'book-an-appointment');?> <span id="place_shortcode"></span>
        <button id="shortcode_button" onclick="book_an_appointment_961_copy_to_clipboard()" type="button" class="button button-primary">
        <?php echo __('Copy');?>
        </button>
    </div>
    <div style="clear: both;padding:0;"></div>
    <?php else: ?>
    <div>
        <?php echo __('<strong>You have not created any bookings yet.</strong><br />If there will be such places, here you will find a sample for their use.', 'book-an-appointment');?>
    </div>
    <?php endif; ?>
    <div style="text-align: justify;"><?php echo __('You can override the booking\'s own display via the <code>single-booking-place.php</code> template file in your <em>(child)</em> theme.', 'book-an-appointment');?></div>
</div>
